.modal {
	@mixin fade-out;
	@mixin flex-center;

	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(55, 58, 71, 0.9);
	pointer-events: none;
	z-index: 990;
	transition: opacity 0.3s, visibility 0.3s;
	display: none;
}

.is-modal-activate {
	& .modal--visible {
		@mixin fade-in;

		display: flex;
		pointer-events: visible;
	}
}

.modal__header {
	margin-bottom: 1em;
	padding-bottom: 0.5em;
	border-bottom: 1px solid var(--border);
}

.modal__title {
	@mixin large-text;

	font-weight: var(--font-bold);
}

.modal__close-button {
	position: absolute;
	top: 0;
	right: 0;
	padding: 10px;

	& svg {
		width: 15px;
		height: 15px;
	}
}
